/*
 * Copyright (C) 2003  Diez B. Roggisch [deets@web.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: RenderPageEventGateway.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.contrib.dbroggisch.page;

import org.apache.log4j.Logger;
import org.barracudamvc.core.event.DefaultEventGateway;
import org.barracudamvc.core.event.helper.EventConnectorFactory;


/**
 * A simple convenience class providing a ready-set event gateway with the
 * basic necessities for rendering pages. Unless you are writing your own
 * custom rendering code for pages, an object of this class must be provided
 * in your application gateway via
 * <code>specifyEventGateways(new RenderPageEventGateway())</code> or via
 * inclusion in your assembly descriptor.  If you forget to do this, you will
 * find that none of your pages render.
 *
 * @author <a href="mailto:deets@web.de">Diez B. Roggisch</a>
 * @version 1.0
 */
public class RenderPageEventGateway extends DefaultEventGateway {

    private static final Logger logger = Logger.getLogger(RenderPageEventGateway.class.getName());

    public RenderPageEventGateway() {
        specifyLocalEventInterests(new EventConnectorFactory(RenderPageHandler.class), RenderPage.class);
        if (logger.isInfoEnabled()) logger.info("specifyLocalEventInterests(new EventConnectorFactory(RenderPageHandler.class), RenderPage.class);");
    }

}
