/*
 * Copyright (C) 2003  Diez B. Roggisch [deets@web.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: RenderPageHandler.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.contrib.dbroggisch.page;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.apache.log4j.Logger;
import org.barracudamvc.core.event.DefaultBaseEventListener;
import org.barracudamvc.core.event.EventException;
import org.barracudamvc.core.event.ViewEventContext;


/**
 * @author <a href="mailto:deets@web.de">Diez B. Roggisch</a>
 * @version 1.0
 */
public class RenderPageHandler extends DefaultBaseEventListener {

    private static final Logger logger = Logger.getLogger(RenderPageHandler.class.getName());

    public void handleViewEvent(ViewEventContext context)
            throws EventException, ServletException, IOException {
        HttpServletRequest req = context.getRequest();
        HttpSession session = req.getSession(false);

        Page page = null;
        if (session != null) {
            page = (Page)session.getAttribute(PageFactory.PAGE_KEY);
        }
        if (page == null) {
            page = (Page)context.getState(PageFactory.PAGE_KEY);
        }

        if (page != null) {
            page.render(context);
            context.getEvent().setHandled(true);
        } else {
            logger.error("No page in session, no page in context, allow to fall through to error response event handlers");
        }
    }

}
