/*
 * Copyright (C) 2003  Diez B. Roggisch [deets@web.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: ExampleGateway.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.contrib.dbroggisch.examples.controller;

import org.barracudamvc.core.event.DefaultEventGateway;
import org.barracudamvc.core.event.helper.EventConnectorFactory;
import org.barracudamvc.contrib.dbroggisch.page.DummyPageHandler;
import org.barracudamvc.contrib.dbroggisch.page.PageFactory;
import org.apache.log4j.Logger;

import org.barracudamvc.contrib.dbroggisch.examples.controller.events.*;
import org.barracudamvc.contrib.dbroggisch.examples.controller.handlers.*;
import org.barracudamvc.contrib.dbroggisch.examples.view.pages.*;


public class ExampleGateway extends DefaultEventGateway {

    private static final Logger logger = Logger.getLogger(ExampleGateway.class.getName());

//    static {
//        try {
//            logger.debug("Filter initialization...");
//            FilterFactory.addMapping(ExampleGateway.class.getResourceAsStream("/standard_filter_mapping.xml"));
//            FilterFactory.loadFilters(ExampleGateway.class.getResourceAsStream("/filter.xml"));
//        }
//        catch(Exception ex) {
//            logger.error("Problem initializing filters", ex);
//        }
//    }

    public ExampleGateway() {
        specifyLocalEventInterests(new EventConnectorFactory(RepopulationHandler.class), Repopulation.class);
        specifyLocalEventInterests(new EventConnectorFactory(RepopulationHandler.class), RenderRepopulation.class);
        specifyLocalEventInterests(new EventConnectorFactory(FileUploadHandler.class), FileUpload.class);
        specifyLocalEventInterests(new EventConnectorFactory(FileUploadHandler.class), RenderFileUpload.class);
        specifyLocalEventInterests(new EventConnectorFactory(PrefixMappingHandler.class), PrefixMapping.class);
        specifyLocalEventInterests(new EventConnectorFactory(PrefixMappingHandler.class), PrefixMappingAddChild.class);
        specifyLocalEventInterests(new EventConnectorFactory(PrefixMappingHandler.class), RenderPrefixMapping.class);
        specifyLocalEventInterests(new EventConnectorFactory(NavigationBarHandler.class), NavigationBar.class);
        registerPages();
    }

    private void registerPages() {
        PageFactory.addPageEventMapping(Repopulation.class, RepopulationPage.class);
        PageFactory.addPageEventMapping(LoadPrefixMappingPage.class, PrefixmappingPage.class);
        PageFactory.addPageEventMapping(FileUpload.class, FileUploadPage.class);
        // Add the dummy handler for the load events
        specifyLocalEventInterests(new EventConnectorFactory(DummyPageHandler.class), LoadPrefixMappingPage.class);
    }

}
