/*
 * Copyright (C) 2003  Stefan Armbruster [stefan@armbruster-it.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: DataObjectNewHandler.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.contrib.sam.data;

import org.apache.log4j.Logger;
import org.barracudamvc.contrib.sam.models.ErrorModel;
import org.barracudamvc.contrib.sam.xmlform.XmlFormMap;
import org.barracudamvc.core.event.ControlEventContext;
import org.barracudamvc.core.event.DefaultBaseEventListener;
import org.barracudamvc.core.event.EventException;

public abstract class DataObjectNewHandler extends DefaultBaseEventListener implements GetConfig {

    protected static Logger logger = Logger.getLogger(DataObjectNewHandler.class.getName());

    public abstract Config getConfig();
    protected Config config;

    public void handleControlEvent(ControlEventContext context) throws EventException, javax.servlet.ServletException, java.io.IOException {
        logger.info("new Dataobject");
        config = getConfig();
        XmlFormMap xfm = new XmlFormMap(context, config.getXmlFormName(), config.getFormName(), null);
        context.putState(config.getMapName(), xfm);
        ErrorModel.remove(context);
    }
}

