package org.barracudamvc.contrib.sam.data;

import org.apache.log4j.Logger;
import org.barracudamvc.core.forms.DefaultFormElement;
import org.barracudamvc.core.forms.FormType;
import org.barracudamvc.core.forms.FormElement;

/**
 * @author Stefan Armbruster (sam), 2003-11-18
 *
 * this is a marker subclass of @see org.barracudamvc.core.forms.DefaultFormElement used to distinguish it 
 * from other FormElement types
 */
public class UploadElement extends DefaultFormElement {
	
	/**
	 * Standard constructor
	 * @param name
	 */
	public UploadElement(String name) {
		super(name, FormType.STRING, null);
	}

	protected static Logger logger = Logger.getLogger(UploadElement.class);

	/** 
	 * since File Upload elements don't support preset values, this method does nothing 
	 */
	public FormElement setOrigVal(Object iorigVal) {
		logger.debug("setOrigVal is ignored");
		return this;
	}

}
