/*
 * Copyright (C) 2003  Christian Cryder [christianc@granitepeaks.com]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: SampleScreen.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.examples.ex4;

import java.io.IOException;

import javax.servlet.ServletException;

import org.barracudamvc.core.event.BaseEventListener;
import org.barracudamvc.core.event.ControlEventContext;
import org.barracudamvc.core.event.DefaultBaseEventListener;
import org.barracudamvc.core.event.DefaultEventGateway;
import org.barracudamvc.core.event.DefaultListenerFactory;
import org.barracudamvc.core.event.EventException;
import org.barracudamvc.core.event.ListenerFactory;
import org.barracudamvc.examples.ex4.events.RenderEvent;


/**
 * A sample screen
 */
public class SampleScreen extends DefaultEventGateway {

    public ListenerFactory testFactory =             new DefaultListenerFactory() {public BaseEventListener getInstance() {return new TestHandler();}            public String getListenerID() {return getID(TestHandler.class);}};
    
    //------------------------------------------------------------
    //             Model 2 - Controller Event Handlers
    //------------------------------------------------------------
    /**
     * TestHandlers - handle the request to get the test 
     * screen.
     */
    class TestHandler extends DefaultBaseEventListener {
        public void handleControlEvent(ControlEventContext context) throws EventException, ServletException, IOException {
            //in this case, we're not really doing anything special, so just
            //redirect to the RenderLogin view
            context.putState(SampleViewHandler.HANDLED_BY, "Sample Screen Handler");
            context.getQueue().addEvent(new RenderEvent(context.getEvent()));
        }
    }
}

